Public Member Functions

# wxDataViewItemAttr Class Reference
[wxDataViewCtrl Related Classes]

`#include <wx/dataview.h>`

## Detailed Description

This class is used to indicate to a wxDataViewCtrl that a certain item (see wxDataViewItem) has extra font attributes for its renderer.

For this, it is required to override wxDataViewModel::GetAttr.

Attributes are currently only supported by wxDataViewTextRendererText.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions
| wxDataViewItemAttr ()
| Constructor.
void | SetBold (bool set)
| Call this to indicate that the item shall be displayed in bold text.
void | SetColour (const wxColour &colour)
| Call this to indicate that the item shall be displayed with that colour.
void | SetItalic (bool set)
| Call this to indicate that the item shall be displayed in italic text.

List of all members.

## Constructor & Destructor Documentation

wxDataViewItemAttr::wxDataViewItemAttr | ( |  | ) |

Constructor.

## Member Function Documentation

void wxDataViewItemAttr::SetBold | ( | bool | set | ) |

Call this to indicate that the item shall be displayed in bold text.

void wxDataViewItemAttr::SetColour | ( | const wxColour & | colour | ) |

Call this to indicate that the item shall be displayed with that colour.

void wxDataViewItemAttr::SetItalic | ( | bool | set | ) |

Call this to indicate that the item shall be displayed in italic text.

|  | [ top ]